Bug 1227187 - The tiering feature requires counters.
Summary: The tiering feature requires counters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Joseph Elwin Fernandes
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On: 1213063 1221477
Blocks: 1202842
TreeView+ depends on / blocked
 
Reported: 2015-06-02 05:51 UTC by Mohammed Rafi KC
Modified: 2016-09-17 15:45 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.7.1-6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1221477
Environment:
Last Closed: 2015-07-29 04:54:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Mohammed Rafi KC 2015-06-02 05:51:31 UTC
+++ This bug was initially created as a clone of Bug #1221477 +++

+++ This bug was initially created as a clone of Bug #1213063 +++

Add support for counters for tiered volumes to show #promoted / #demoted files.

--- Additional comment from Anand Avati on 2015-04-18 07:59:34 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#1) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-04-21 16:52:09 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#2) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-04-27 12:59:19 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#3) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-04-29 15:39:22 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#4) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-05-04 11:48:09 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#6) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-05-06 12:44:03 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#7) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-05-06 12:47:55 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#8) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-05-07 09:31:53 EDT ---

REVIEW: http://review.gluster.org/10292 (glusterd: add counter support for tiered volumes) posted (#9) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Anand Avati on 2015-05-14 02:55:07 EDT ---

REVIEW: http://review.gluster.org/10775 (glusterd: add counter support for tiered volumes) posted (#1) for review on release-3.7 by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-05-28 03:25:36 EDT ---

COMMIT: http://review.gluster.org/10775 committed in release-3.7 by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 4e2bc057ee5afb412d9056dc71a6bb959fb11df6
Author: Dan Lambright <dlambrig@redhat.com>
Date:   Thu Apr 16 05:21:16 2015 +0100

    glusterd: add counter support for tiered volumes
    
            back port of http://review.gluster.org/10292
    
    This fix adds support to view the number of promoted or demoted
    files from the cli. The mechanism is isolmorphic to checking
    the status of volumes being rebalanced.
    
    gluster volume rebalance <vol> tier status
    
     >Change-Id: I1b11ca27355ceec36c488967c23531202030e205
     >BUG: 1213063
     >Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
     >Signed-off-by: Dan Lambright <dlambrig@redhat.com>
     >Reviewed-on: http://review.gluster.org/10292
     >Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
     >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    
    Change-Id: I543e886f17132b544274c83fdecca5a8da9d092a
    BUG: 1221477
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    Reviewed-on: http://review.gluster.org/10775
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 3 Triveni Rao 2015-06-11 17:37:07 UTC
[root@rhsqa14-vm1 ~]# gluster v rebalance venus status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost                0        0Bytes             0             0             0          in progress             883.00
                            10.70.47.163                0        0Bytes             0             0             0          in progress             883.00
volume rebalance: venus: success: 
[root@rhsqa14-vm1 ~]# gluster volume rebalance venus tier status
Node                 Promoted files       Demoted files        Status              
---------            ---------            ---------            ---------           
localhost            0                    0                    in progress         
10.70.47.163         0                    0                    in progress         
volume rebalance: venus: success: 
[root@rhsqa14-vm1 ~]# 

this shows status as in-progress even though the counters are showing 0 files promoted o demoted.

Comment 4 Dan Lambright 2015-06-23 21:48:15 UTC
The "in progress" message means the daemon is running properly. This is not a problem.

I submitted fix 11372 for other issues related to counters: after a graph switch the counters were not updated.

Comment 5 Joseph Elwin Fernandes 2015-06-27 15:27:37 UTC
https://code.engineering.redhat.com/gerrit/#/c/49748/

Comment 6 Mohammed Rafi KC 2015-06-29 11:19:06 UTC
removing the needinfo

Comment 7 Nag Pavan Chilakam 2015-07-06 12:09:25 UTC
I can see the number of promotes and demotes happening via counters command as below
[root@rhsqa14-vm1 ~]# gluster v rebalance venus status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost                0        0Bytes             0             0             0          in progress             883.00
                            10.70.47.163                0        0Bytes             0             0             0          in progress             883.00
volume rebalance: venus: success: 
[root@rhsqa14-vm1 ~]# gluster volume rebalance venus tier status
Node                 Promoted files       Demoted files        Status              
---------            ---------            ---------            ---------           
localhost            0                    0                    in progress         
10.70.47.163         0                    0                    in progress         
volume rebalance: venus: success: 
[root@rhsqa14-vm1 ~]# 


Moving to verified

Comment 8 errata-xmlrpc 2015-07-29 04:54:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.